Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.jboss.shrinkwrap.descriptor.api.javaee5
Enum ResSharingScopeType

    java.lang.Object
      java.lang.Enum<ResSharingScopeType>
          org.jboss.shrinkwrap.descriptor.api.javaee5.ResSharingScopeType

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<ResSharingScopeType>

    public enum ResSharingScopeType

extends java.lang.Enum<ResSharingScopeType>

This class implements the `res-sharing-scopeType` xsd type

Original Documentation:

The res-sharing-scope type specifies whether connections
obtained through the given resource manager connection
factory reference can be shared. The value, if specified,
must be one of the two following:
Shareable
Unshareable
The default value is Shareable.

Since:
  Generation date :2011-07-19T22:54:35.59+02:00
Author:
  Ralf Battenfeld

Enum Constant Summary
`_SHAREABLE`
`_UNSHAREABLE`

Method Summary
`static ResSharingScopeType` | `getFromStringValue(java.lang.String value)`
`java.lang.String` | `toString()`
`static ResSharingScopeType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static ResSharingScopeType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### _SHAREABLE

    public static final ResSharingScopeType _SHAREABLE

### _UNSHAREABLE

    public static final ResSharingScopeType _UNSHAREABLE

Method Detail

### values

    public static ResSharingScopeType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (ResSharingScopeType c : ResSharingScopeType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static ResSharingScopeType valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Enum<ResSharingScopeType>`

### getFromStringValue

    public static ResSharingScopeType getFromStringValue(java.lang.String value)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD